Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162024 - tla crashes when it makes update tree
Summary: tla crashes when it makes update tree
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tla
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 158655
Blocks: FE5Target
TreeView+ depends on / blocked
 
Reported: 2005-06-29 08:59 UTC by Michael
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 1.3.3-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-16 17:40:59 UTC


Attachments (Terms of Use)
tla crash back trace (deleted)
2005-06-29 09:00 UTC, Michael
no flags Details

Description Michael 2005-06-29 08:59:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686; en) Opera 8.0

Description of problem:
When I ty to update existing project tree tla crashes with error:
*** glibc detected *** tla: double free or corruption (!prev): 0x0a690cc0 ***


Version-Release number of selected component (if applicable):
tla-1.3.1-4.fix.1

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:

Comment 1 Michael 2005-06-29 09:00:54 UTC
Created attachment 116113 [details]
tla crash back trace

Comment 2 Shahms E. King 2005-06-29 14:49:18 UTC
Thanks for the bug report, although that traceback isn't terribly useful as it's
lacking any symbol information...

I have RPMS for the most recent version of tla that fixes this problem, but they
have some issues on PPC and the build system won't push them until they build
successfully on all support platforms.

I recommend using bazaar until the PPC issues are resolved (well, I recommend
using bazaar in general, but I digress).

Comment 3 Ville Skyttä 2006-02-01 22:44:09 UTC
Does 1.3.3-3 work better for you?

Comment 4 Shahms E. King 2006-02-16 17:11:53 UTC
Ville, I'm going to assign this bug to you.  I suspect it is fixed in 1.3.3-3,
but since the reporter hasn't said anything for ~6 months we'll never know. 
Feel free to close it if you think it's appropriate.

Comment 5 Ville Skyttä 2006-02-16 17:40:59 UTC
Assuming fixed, feel free to reopen if the problem persists.


Note You need to log in before you can comment on or make changes to this bug.